## API Reference - Cancel Payment

### cURL Example

```bash
curl --request POST \
  --url https://api.pay.walletconnect.com/v1/payments/{id}/cancel \
  --header 'Api-Key: <api-key>' \
  --header 'Merchant-Id: <merchant-id>'
```

### Python Example

```python
import requests

url = "https://api.pay.walletconnect.com/v1/payments/{id}/cancel"

headers = {
    "Api-Key": "<api-key>",
    "Merchant-Id": "<merchant-id>"
}

response = requests.post(url, headers=headers)

print(response.text)
```

### JavaScript Example (Fetch API)

```javascript
const options = {
  method: 'POST',
  headers: {'Api-Key': '<api-key>', 'Merchant-Id': '<merchant-id>'}
};

fetch('https://api.pay.walletconnect.com/v1/payments/{id}/cancel', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP Example

```php


```

### Response Codes

- **200:** Payment cancelled successfully
- **400:** Bad request
- **401:** Unauthorized
- **404:** Not found
- **500:** Internal server error

### Example JSON Response

```json
{
  "cancelledAt": "2025-01-14T10:30:00Z",
  "cancelledReason": "cancelled_by_merchant",
  "paymentId": "pay_71a2ecc101KQFN7X7RM3Z9GB4ZGNM17TRB",
  "status": "cancelled"
}
```

### Authorizations

- **Api-Key**  (string, header, required)
  
### Headers

- **Api-Key**  (string, required)
- **Merchant-Id**  (string, required)

### Path Parameters

- **id**  (string, required)  
  Payment ID example: `"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"`

### Response Details

- **cancelledAt**  (string, required)
- **cancelledReason**  (string, required)
- **paymentId**  (string, required, Payment ID)
- **status**  (enum<string>, required)  
  Available options: `requires_action`, `processing`, `succeeded`, `failed`, `expired`, `cancelled`.
